Bug 1204986 - (CVE-2022-43995) VUL-0: CVE-2022-43995: sudo: heap out of bounds read when using the crypt() password backend
(CVE-2022-43995)
VUL-0: CVE-2022-43995: sudo: heap out of bounds read when using the crypt() p...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/346960/
CVSSv3.1:SUSE:CVE-2022-43995:7.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-03 08:01 UTC by Carlos López
Modified: 2022-12-05 05:17 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-11-03 08:01:31 UTC
CVE-2022-43995

Sudo 1.8.0 through 1.9.12, with the crypt() password backend, contains a
plugins/sudoers/auth/passwd.c array-out-of-bounds error that can result in a
heap-based buffer over-read. This can be triggered by arbitrary local users with
access to Sudo by entering a password of seven characters or fewer. The impact
could vary depending on the compiler and processor architecture.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-43995
https://www.cve.org/CVERecord?id=CVE-2022-43995
https://github.com/sudo-project/sudo/commit/bd209b9f16fcd1270c13db27ae3329c677d48050
https://www.sudo.ws/security/advisories/
Comment 1 Jason Sikes 2022-11-03 21:49:04 UTC
All of our sudo versions are affected except for SUSE:SLE-11-SP3:Update which has sudo-1.7.6p2.
Comment 2 Jason Sikes 2022-11-03 23:38:22 UTC
Done!

| STREAM                 | version       | Status                     |
|------------------------+---------------+----------------------------|
| SUSE:SLE-12-SP2:Update | sudo-1.8.10p3 | created request id 283660  |
| SUSE:SLE-12-SP3:Update | sudo-1.8.20p2 | created request id 283661  |
| SUSE:SLE-12-SP5:Update | sudo-1.8.27   | created request id 283662  |
| SUSE:SLE-15:Update     | sudo-1.8.27   | created request id 283663  |
| SUSE:SLE-15-SP3:Update | sudo-1.9.5p2  | created request id 283664  |
| SUSE:SLE-15-SP4:Update | sudo-1.9.9    | created request id 283665  |
| Factory Base:System    | sudo-1.9.12   | created request id 1033421 |

And with that, I am handing this over to security-team.
Comment 4 Swamp Workflow Management 2022-11-07 14:20:15 UTC
SUSE-SU-2022:3886-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    sudo-1.8.10p3-10.38.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-11-10 17:24:37 UTC
SUSE-SU-2022:3938-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    sudo-1.8.27-150000.4.30.1
SUSE Manager Retail Branch Server 4.1 (src):    sudo-1.8.27-150000.4.30.1
SUSE Manager Proxy 4.1 (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server for SAP 15 (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise Server 15-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    sudo-1.8.27-150000.4.30.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    sudo-1.8.27-150000.4.30.1
SUSE Enterprise Storage 7 (src):    sudo-1.8.27-150000.4.30.1
SUSE Enterprise Storage 6 (src):    sudo-1.8.27-150000.4.30.1
SUSE CaaS Platform 4.0 (src):    sudo-1.8.27-150000.4.30.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-11-15 20:34:01 UTC
SUSE-SU-2022:4001-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    sudo-1.9.9-150400.4.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    sudo-1.9.9-150400.4.6.1
SUSE Linux Enterprise Micro 5.3 (src):    sudo-1.9.9-150400.4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-11-18 17:32:59 UTC
SUSE-SU-2022:4077-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1190818,1203201,1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    sudo-1.9.5p2-150300.3.13.1
openSUSE Leap 15.3 (src):    sudo-1.9.5p2-150300.3.13.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    sudo-1.9.5p2-150300.3.13.1
SUSE Linux Enterprise Micro 5.2 (src):    sudo-1.9.5p2-150300.3.13.1
SUSE Linux Enterprise Micro 5.1 (src):    sudo-1.9.5p2-150300.3.13.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-11-28 11:21:11 UTC
SUSE-SU-2022:4240-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1197998,1203201,1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    sudo-1.8.20p2-3.33.1
SUSE OpenStack Cloud 9 (src):    sudo-1.8.20p2-3.33.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    sudo-1.8.20p2-3.33.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    sudo-1.8.20p2-3.33.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    sudo-1.8.20p2-3.33.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2022-11-29 17:49:41 UTC
SUSE-SU-2022:4280-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (important)
Bug References: 1197998,1203201,1204986
CVE References: CVE-2022-43995
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    sudo-1.8.27-4.30.1
SUSE Linux Enterprise Server 12-SP5 (src):    sudo-1.8.27-4.30.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Carlos López 2022-11-30 08:39:54 UTC
Done, closing.